Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235954 (perl-Test-use-ok) - Review Request: perl-Test-use-ok - Alternative to Test::More::use_ok
Summary: Review Request: perl-Test-use-ok - Alternative to Test::More::use_ok
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-Test-use-ok
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL: http://search.cpan.org/dist/Test-use-ok/
Whiteboard:
Depends On:
Blocks: perl-Data-Visitor
TreeView+ depends on / blocked
 
Reported: 2007-04-11 01:27 UTC by Chris Weyl
Modified: 2012-04-12 06:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-30 20:40:38 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2007-04-11 01:27:29 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Test-use-ok-0.02-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Test-use-ok.spec

Description:
According to the Test::More documentation, it is recommended to run
use_ok() inside a BEGIN block, so functions are exported at compile-time
and prototypes are properly honored.

However, people often either forget to add "BEGIN", or mistakenly group
"use_ok" with other tests in a single "BEGIN" block, which can create
subtle differences in execution order.

With this module, simply change all "use_ok" in test scripts to "use ok",
and they will be executed at "BEGIN" time. The explicit space after "use"
makes it clear that this is a single compile-time action.

Comment 1 Ralf Corsepius 2007-04-11 03:21:25 UTC
Missing:

BR: perl(ExtUtils::MakeMaker)
BR: perl(Test::More)
BR: perl(Test::Harness)

Comment 2 Chris Weyl 2007-04-11 03:28:24 UTC
(In reply to comment #1)
> Missing:
> 
> BR: perl(ExtUtils::MakeMaker)
> BR: perl(Test::More)
> BR: perl(Test::Harness)

So updated (thanks for the catch).  Are we at the point now where we should
expect to list all module dependencies, including code?  (e.g., not just
ExtUtils::MakeMaker).

SRPM URL: http://home.comcast.net/~ckweyl/perl-Test-use-ok-0.02-2.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Test-use-ok.spec

Comment 3 Chris Weyl 2007-04-11 03:30:10 UTC
(In reply to comment #2)

> expect to list all module dependencies, including code?  (e.g., not just

err, s/code/core/.


Comment 4 Ralf Corsepius 2007-04-11 03:44:38 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > Missing:
> > 
> > BR: perl(ExtUtils::MakeMaker)
> > BR: perl(Test::More)
> > BR: perl(Test::Harness)
> 
> So updated (thanks for the catch).  Are we at the point now where we should
> expect to list all module dependencies, including code?  (e.g., not just
> ExtUtils::MakeMaker).
Well, the list above is the result of testing the latest perl packaging (as
discussed on perl-devel-list@), which has several modules formerly contained in
"perl" split out. I don't know about RH's plans nor whether or when we're going
to see this split perl package in Fedora.

A side-effect of this split-out is building perl-modules having to explictly BR:
those "now/soon to be split-out" modules formerly having been in "perl" they
actually use when building. In most cases this is "ExtUtils::MakeMaker", but ins
some cases, it is more - This package is one of those case.

More generally: Blindly adding "BR: perl(ExtUtils::MakeMaker)" isn't the
solution. One has to track down these modules individually. Fortunately, most
package bomb out with build-failures pretty hard in a buildsystems carrying the
"split perl" package.

Comment 5 Chris Weyl 2007-04-25 05:21:49 UTC
This package is a prereq of the Catalyst framework.

Comment 6 Parag AN(पराग) 2007-04-30 06:00:28 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
c49b0bbb37a6764b8b96d9fcef954ba2  Test-use-ok-0.02.tar.gz
i+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test 
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'inc', 'blib/lib', 'blib/arch')" t/*.t
t/01-basic....ok
All tests successful.
Files=1, Tests=3,  0 wallclock secs ( 0.03 cusr +  0.00 csys =  0.03 CPU)
+ Provides: perl(Test::use::ok) perl(ok)

APPROVED.


Comment 7 Chris Weyl 2007-04-30 07:57:00 UTC
New Package CVS Request
=======================
Package Name: perl-Test-use-ok
Short Description: Alternative to Test::More::use_ok
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 8 Chris Weyl 2007-04-30 20:40:38 UTC
Imported and building...  Thanks for the review! :)

Comment 9 Iain Arnell 2010-08-25 05:50:43 UTC
Package Change Request
======================
Package Name: perl-Test-use-ok
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig

Comment 10 Kevin Fenzi 2010-08-25 17:10:17 UTC
Git done (by process-git-requests).

Comment 11 Paul Howarth 2012-03-25 12:34:07 UTC
Package Change Request
======================
Package Name: perl-Test-use-ok
New Branches: el5
Owners: pghmcfc
InitialCC: perl-sig

Comment 12 Gwyn Ciesla 2012-03-26 12:17:45 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2012-03-26 13:17:03 UTC
perl-Test-use-ok-0.02-13.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Test-use-ok-0.02-13.el5

Comment 14 Fedora Update System 2012-04-12 06:03:05 UTC
perl-Test-use-ok-0.02-13.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.